0

This question already has an answer here:

So im having an issue trying to upgrade my lubuntu version from 16.10 (yakkety) to 17.10 (artful).

I tried do-release-upgrade but this is what i get.

An upgrade from 'yakkety' to 'artful' is not supported with this tool.

Am i out of luck in ability to upgrade it?

marked as duplicate by Byte Commander, Bruni, Charles Green, pomsky, N0rbert Feb 8 '18 at 18:21

This question has been asked before and already has an answer. If those answers do not fully address your question, please ask a new question.

  • If you already rejected a clean-install, then you should have said so in the original question. Leaving out important information wastes everybody's time and effort (including yours). There is NO tested, supported path for what you want to do. The tested, supported upgrade window from 16.10 to 17.04 closed forever on January 13, 2018 when the 17.04 repos were closed. You are free to try upgrading, using the link kindly provided by ByteCommander, but it's not tested, it's not supported, it may break, and you may wind up reinstalling anyway. – user535733 Feb 8 '18 at 16:52
0

The underlying issue you have is that do-release-upgrade only upgrades to the next release in the same series -- so 16.10 could upgrade to 17.04, while 14.04 could upgrade to 16.04 (LTS series).

The simplest way to fix this is to do a clean install of 17.10, and then upgrade that when the next upgrade becomes available, rather than waiting until the one after as you've done here.

  • Thanks, unfortunately a clean install is not an ideal solution due to the circumstances. – Eric G Feb 8 '18 at 14:51

Not the answer you're looking for? Browse other questions tagged or ask your own question.